Bug 113821 - RFE: yum should allow more queries on packages
RFE: yum should allow more queries on packages
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-18 16:56 EST by Gerald Britton
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-26 05:23:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Britton 2004-01-18 16:56:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7a)
Gecko/20040118 Firebird/0.8.0+

Description of problem:
yum should have a mechanism for the user to query packages
with arbitrary query formats.  Possibly with several builtins
for looking at the filelist/scripts/changelog of an uninstalled
package.  Simply calling print hdr.sprintf("query format") seems
to work within yum.

Additionally, it should allow specific querying by
name-version-release which currently does not work.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. n/a
2.
3.
    

Additional info:
Comment 1 Jeff Johnson 2004-01-26 05:23:54 EST
Marked UPSTREAM, as that's where the change will occur (if any).

Note You need to log in before you can comment on or make changes to this bug.